Jump to content
Ultimaker Community of 3D Printing Experts

Cura 4.13 crash


MathijsD
 Share

Recommended Posts

Posted · Cura 4.13 crash

Cura 4.13 crashes on me.

Running on Macbook Pro 13-inch Mid 2014  Mac OS Big Sur 11.16.2

 

 

ERROR TRACEBACK:

 

Traceback (most recent call last):

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/keyring/backends/macOS/__init__.py", line 49, in get_password

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/keyring/backends/macOS/api.py", line 101, in find_generic_password

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/keyring/backends/macOS/api.py", line 43, in raise_for_status

keyring.backends.macOS.api.SecAuthFailure: (-25293, 'Security Auth Failure: make sure python is signed with codesign util')

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/cx_Freeze/initscripts/__startup__.py", line 74, in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/cx_Freeze/initscripts/Console.py", line 36, in run

File "/Users/ultimaker/build/Cura/4.13/build/inst/bin/cura_app.py", line 236, in <module>

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/CuraApplication.py", line 844, in run

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/API/__init__.py", line 54, in initialize

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/API/Account.py", line 118, in initialize

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/OAuth2/AuthorizationService.py", line 282, in loadAuthDataFromPreferences

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/OAuth2/AuthorizationService.py", line 98, in getUserProfile

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/OAuth2/AuthorizationService.py", line 107, in _parseJWT

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/OAuth2/KeyringAttribute.py", line 42, in __get__

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/keyring/core.py", line 55, in get_password

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/site-packages/keyring/backends/macOS/__init__.py", line 55, in get_password

keyring.errors.KeyringError: Can't get password from keychain: (-25293, 'Security Auth Failure: make sure python is signed with codesign util')

 

 

 

 

LOGS:

 

Thread 0x000070000dde6000 (most recent call first):

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/Backend/Backend.py", line 165 in _storeStderrToLogThread

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 870 in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 890 in _bootstrap

 

Thread 0x000070000cde3000 (most recent call first):

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/Backend/Backend.py", line 153 in _storeOutputToLogThread

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 870 in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 890 in _bootstrap

 

Thread 0x000070000b9c8000 (most recent call first):

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 302 in wait

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 433 in acquire

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 890 in _bootstrap

 

Thread 0x000070000a9c5000 (most recent call first):

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 302 in wait

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 433 in acquire

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 890 in _bootstrap

 

Thread 0x00007000099c2000 (most recent call first):

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 302 in wait

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 433 in acquire

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 890 in _bootstrap

 

Thread 0x00007000089bf000 (most recent call first):

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 302 in wait

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 433 in acquire

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner

File "/Users/ultimaker/build/env/4.13/install/lib/python3.8/threading.py", line 890 in _bootstrap

 

Current thread 0x0000000110c5ee00 (most recent call first):

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/CrashHandler.py", line 398 in _logInfoWidget

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/CrashHandler.py", line 184 in _createDialog

File "/Users/ultimaker/build/Cura/4.13/build/inst/lib/python3.8/site-packages/cura/CrashHandler.py", line 88 in __init__

File "/Users/ultimaker/build/Cura/4.13/build/inst/bin/cura_app.py", line 162 in exceptHook

4.13.zip

  • Link to post
    Share on other sites

    Posted · Cura 4.13 crash

    After hours of digging I found it myself.

     

    1: Open Keychain Access App

    2: Search for Cura and open this folder

    3: Click on the Acces Control tab

    4: Toggle “Allow all applications to open this item

    5: Save changes 

  • Link to post
    Share on other sites

    Create an account or sign in to comment

    You need to be a member in order to leave a comment

    Create an account

    Sign up for a new account in our community. It's easy!

    Register a new account

    Sign in

    Already have an account? Sign in here.

    Sign In Now
     Share

    • Our picks

      • Ultimaker showcase | April 2022 | 4pm CEST | 10am EDT
        I'm excited because I've personally produced this showcase event, so if you are curious what else I'm up to nowadays, come check it out and say hi in the chat! It would mean a lot! 
          • Thanks
          • Like
        • 4 replies
      • New here? Get ahead with a free onboarding course
        Hi,
         
        Often getting started is the most difficult part of any process. A good start sets you up for success and saves you time and energy that could be spent elsewhere. That is why we have a onboarding course ready for
        Ultimaker S5 Pro Bundle, Ultimaker S5, Ultimaker S3 Ultimaker 2+ Connect.   
        They're ready for you on the Ultimaker Academy platform. All you need to do to gain access is to register your product to gain free access. 
        Ready? Register your product here in just 60 seconds.
          • Like
        • 11 replies
    ×
    ×
    • Create New...